import request from '@/utils/request'

// 查询新员工培训列表
export function listNewemployee(query) {
  return request({
    url: '/training/newemployee/list',
    method: 'get',
    params: query
  })
}

// 查询新员工培训详细
export function getNewemployee(id) {
  return request({
    url: '/training/newemployee/' + id,
    method: 'get'
  })
}

// 新增新员工培训
export function addNewemployee(data) {
  return request({
    url: '/training/newemployee',
    method: 'post',
    data: data
  })
}

// 修改新员工培训
export function updateNewemployee(data) {
  return request({
    url: '/training/newemployee',
    method: 'put',
    data: data
  })
}

// 删除新员工培训
export function delNewemployee(id) {
  return request({
    url: '/training/newemployee/' + id,
    method: 'delete'
  })
}

// 导出新员工培训
export function exportNewemployee(query) {
  return request({
    url: '/training/newemployee/export',
    method: 'get',
    params: query
  })
}
